declare namespace PULLIN {
    type OGPParamsProps = {
        marketingGoal: string,
        bidMode: string;
        siteSet: string[];
        automaticSiteEnabled: boolean,
        marketingTargetType?: string, 
        marketingCarrierType?: string,
    }
    interface AdReactContent {
        form: FormInstance<any>
        OGPParams: OGPParamsProps,
        setOGPparams: React.Dispatch<React.SetStateAction<OGPParamsProps>>
    }
    interface AddeliveryProps {
        adgroups: any,
        targeting: any[],
        dynamic: any,
        dynamicMaterialDTos: any
        dynamicCreativesTextDTOS: any
    }
    interface DispatchAddelivery {
        addelivery: AddeliveryProps,
        setAddelivery: React.Dispatch<React.SetStateAction<AddeliveryProps>>
        accountCreateLogs: AccountCreateLogsProps[]
        setAccountCreateLogs: React.Dispatch<React.SetStateAction<AccountCreateLogsProps[]>>
        materialData: any
        setMaterialData: React.Dispatch<any>
        textData: any,
        setTextData: React.Dispatch<any>,
        clearData: () => void
    }
    type DataType = { label: string | number, value: any, disabled?: boolean }
    interface FormItemDataProps {
        id?: any
        value?: string,
        onChange?: (value?: string) => void
    }
    interface FormItemDataNewProps {
        data: DataType[]
        id?: any,
        value?: any,
        onChange?: (value?: any) => void
    }
    interface FormItemDataArrayProps {
        id?: number,
        value?: string[],
        onChange?: (value?: string[]) => void
    }
    interface FormItemDataNew2Props {
        data: AdcreativeTemplateList[]
        id?: any,
        value?: any,
        onChange?: (value?: any) => void
    }
    interface GetTargeting {
        pageNum: number,
        pageSize: number,
        accountId?: number,
        targetingName?: string,  
        min?: string, 
        max?: string,
    }
    interface AccountCreateLogsProps { 
        accountId: number, 
        userActionSetsList?: any[], 
        productList?: any[],
        wechatChannelList?: any[],
        conversionList?: any, 
        customAudienceList?: any, 
        excludedCustomAudienceList?: any, 
        pageList?: any, 
        coldStartAudienceList?: any[]
    }
    interface DynamicReactContent {
        form: FormInstance<any>
        value: any,
        adgroups: any,
        creativeComponents: any,
        setCreativeComponents: React.Dispatch<any>,
        isUpdate: boolean,
        setIsUpdate: React.Dispatch<React.SetStateAction<boolean>>
    }
    interface AdcreativeTemplateList {
        creativeSampleImage: string,
        creativeTemplateAppellation: string,
        creativeTemplateId: number,
        creativeTemplateStyle: string,
        isGeneral: boolean,
        siteSet: number,
        label: string | number, 
        value: any,
        tooltip?: string, 
        img?: string
    }
    interface GetTaskV3Props {
        pageNum: number,
        pageSize: number,
        taskName?: string,
        createTimeMin?: string,
        createTimeMax?: string
    }
    interface GetTaskV3LogProps {
        pageNum: number,
        pageSize: number,
        taskId?: string
    }
}