import { request } from 'umi';
import { api } from '../api';


/**
 * 新增定向
 * @param data 
 * @returns 
 */
export async function addTargetingApi(data: any) {
    return request(api + `/adq/v3/targeting/add`, {
        method: 'POST',
        data: [data]
    })
}

/**
 * 修改定向
 * @param data 
 * @returns 
 */
export async function updateTargetingApi(data: any) {
    return request(api + `/adq/v3/targeting/update`, {
        method: 'POST',
        data
    })
}


/**
 * 校验定向
 * @param data 
 * @returns 
 */
export async function checkTargetingApi(data: any) {
    return request(api + `/adq/v3/targeting/check`, {
        method: 'POST',
        data: [data]
    })
}


/**
 * 删除定向
 * @param data 
 * @returns 
 */
export async function delTargetingApi(params: { id: number }) {
    return request(api + `/adq/v3/targeting/delete`, {
        method: 'POST',
        params
    })
}

/**
 * 获取云端列表 ,也要分页
 * @param data 
 * @returns 
 */
export async function getTargetingRemoteListApi(data: PULLIN.GetTargeting) {
    return request(api + `/adq/v3/targeting/remoteList`, {
        method: 'POST',
        data
    })
}

/**
 * 分页查询定向模板
 * @param data 
 * @returns 
 */
export async function getTargetingListApi(data: PULLIN.GetTargeting) {
    return request(api + `/adq/v3/targeting/list`, {
        method: 'POST',
        data
    })
}

/**
 * 创建任务
 * @param data 
 * @returns 
 */
export async function createAdgroupTaskApi(data: any) {
    return request(api + `/adq/v3/adgroup/createAdgroupTask`, {
        method: 'POST',
        data
    })
}

/**
 * 任务列表
 * @param data 
 * @returns 
 */
export async function getTaskV3ListApi(data: PULLIN.GetTaskV3Props) {
    return request(api + `/adq/v3/adgroup/selectByPage`, {
        method: 'POST',
        data
    })
}

/**
 * 任务日志
 * @param data 
 * @returns 
 */
export async function getTaskV3LogListApi(data: PULLIN.GetTaskV3LogProps) {
    return request(api + `/adq/v3/adgroup/selectAdgroupLog`, {
        method: 'POST',
        data
    })
}