import { request } from 'umi';
import { api } from '../api';

/**
 * 广告列表
 * @param data 
 * @returns 
 */
export async function getAdqV3AdListApi(data: ADQV3.GetAdListProps) {
    return request(api + '/adq/adgroup/listOfPage', {
        method: 'POST',
        data
    });
}

/**
 * 同步
 * @param data 
 * @returns 
 */
export async function syncBatchApi(data: ADQV3.AccountAdgroupMapsProps) {
    return request(api + '/adq/adgroup/syncBatch', {
        method: 'PUT',
        data
    });
}

/**
 * 启停
 * @param data 
 * @returns 
 */
export async function modifyStatusBatchApi(data: ADQV3.ModifyStatusBatchProps) {
    return request(api + '/adq/adgroup/modifyStatusBatch', {
        method: 'PUT',
        data
    });
}

/**
 * 出价
 * @param data 
 * @returns 
 */
export async function modifyAmountBatchApi(data: ADQV3.ModifyAmountBatchProps) {
    return request(api + '/adq/adgroup/modifyAmountBatch', {
        method: 'PUT',
        data
    });
}

/**
 * 3.0创意
 * @param data 
 * @returns 
 */
export async function getDynamicCreativeV3ListApi(data: ADQV3.GetDynamicCreativeProps) {
    return request(api + '/adq/dynamicCreative/listOfPage', {
        method: 'POST',
        data
    });
}